List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-6-astra"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "openai/gpt-5.5"
},
{
"id": "openai/gpt-5.4-mini"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5-1"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-3.1-pro-preview"
},
{
"id": "google/gemini-3.8-flash"
},
{
"id": "xai/grok-4.6"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.3-flash"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}Endpunkte
Modelle auflisten
Gibt den aktuellen öffentlichen Modellkatalog zurück.
GET
/
v1
/
models
List public models
Verwenden Sie diesen Endpunkt, um den aktuellen öffentlichen Modellkatalog abzurufen.
Der Katalog listet zuerst die anbieterweiten Latest-Aliase und danach konkrete Modell-IDs:
Latest-Aliase werden auf
Anthropic Messages-Endpunkte akzeptieren außerdem unpräfigierte konkrete Claude Messages-IDs wie
openai-latestclaude-latestgoogle-latest
| Modellwahl | Am besten geeignet für |
|---|---|
openai-latest, claude-latest, google-latest | Einmal konfigurieren und Capriole AI auf dem empfohlenen Flaggschiff halten |
Konkrete Modell-IDs wie openai/gpt-6-astra | Eine genaue Modellversion festlegen |
POST /v1/chat und POST /v1/chat/completions wie folgt aufgelöst:
| Latest-Alias | Wird aufgelöst zu |
|---|---|
openai-latest | openai/gpt-6-astra |
claude-latest | anthropic/claude-fable-5-1 |
google-latest | google/gemini-3.1-pro-preview |
| Endpunkt | Latest-Aliase |
|---|---|
POST /v1/chat | openai-latest, claude-latest, google-latest |
POST /v1/chat/completions | openai-latest, claude-latest, google-latest |
POST /v1/responses | openai-latest |
POST /v1/messages | claude-latest |
POST /v1/messages/count_tokens | claude-latest |
claude-fable-5-1, claude-fable-5, claude-opus-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6 und claude-sonnet-4-6.
Auf POST /v1/messages und POST /v1/messages/count_tokens wird claude-latest zu claude-fable-5-1 aufgelöst und entspricht damit dem Latest-Alias von Chat und Chat Completions.
Verwenden Sie die oben gezeigten reinen Alias-IDs. Anbieterpräfixe wie openai/openai-latest sind clientseitige Auswahlmuster, keine Capriole AI Modell-IDs.Antwort
Public model list
Show child attributes
Show child attributes
Zuletzt geändert am 5. September 2026